{"openapi":"3.1.0","info":{"title":"Scrape Creators API","description":"The easiest way to scrape public social media data at scale. Extract profiles, posts, videos, comments, and more from TikTok, Instagram, YouTube, Twitter, LinkedIn, Facebook, Reddit, and 27+ platforms.","version":"1.0.0","contact":{"name":"Scrape Creators","url":"https://scrapecreators.com","email":"support@scrapecreators.com"}},"servers":[{"url":"https://api.scrapecreators.com","description":"Production server"}],"security":[{"apiKeyAuth":[]}],"tags":[{"name":"Google","description":"Scrape Google search results"}],"paths":{"/v1/google/search":{"get":{"tags":["Google"],"summary":"Search","description":"Performs a Google search and returns organic results with url, title, and description for each result. Supports an optional region parameter (2-letter country code) to get localized results from a specific country.","parameters":[{"name":"query","in":"query","required":true,"description":"Search query","schema":{"type":"string"},"example":"austen allred"},{"name":"region","in":"query","required":false,"description":"2 letter country code, ie US, UK, CA, etc This will show results from that country","schema":{"type":"string"},"example":"US"},{"name":"date_posted","in":"query","required":false,"description":"Date posted","schema":{"type":"string","enum":["last-hour","last-day","last-week","last-month","last-year"]},"example":"last-hour"},{"name":"page","in":"query","required":false,"description":"Page number to retrieve","schema":{"type":"number"},"example":"1"}],"responses":{"200":{"description":"Successful response","content":{"application/json":{"example":{"success":true,"results":[{"url":"https://x.com/Austen","title":"Austen Allred ✓","description":"Among the dumbest assertions people make online is, “Remote work was better but companies brought everyone back in office to justify the rent they were paying and keep property values high.”  As if companies are incapable of subleasing or selling buildings.    22 hours ago"}]}}}}}}}},"components":{"securitySchemes":{"apiKeyAuth":{"type":"apiKey","in":"header","name":"x-api-key","description":"Your Scrape Creators API key"}}}}